> I have seen that it exists a version 1.1c9 of Ruby ported on Macintosh
> classic OS (9 or previous, not X). It seems too aged. Is exists a newer
one
> ? Or is anybody would be kind to engage a port of the latest available
> version of Ruby to MacOS ?

I'm not a regular Mac OS X user, but I remembered seeing this link posted on
RubyGarden awhile back:

    http://www.entropy.ch/software/macosx/#ruby

Hope this helps,

Lyle